CloudFormation: how to run a bash script using metadata












0















The following snippet is from a CloudFormation template and is part of a configSet.



I attempt to create a bash script and save it to /var/composer using files:
This part works just fine.



The script then attempts to execute the bash script using "commands:"
This doesn't work. - Any ideas please?



deployComposer:
files:
/var/composer/composer.sh:
content: !Join
- ''
- -
#!/bin/sh

EXPECTED_SIGNATURE="$(wget -q -O -
https://composer.github.io/installer.sig)"
sudo php -r "copy('https://getcomposer.org/installer',
'composer-setup.php');"
ACTUAL_SIGNATURE="$(php -r "echo hash_file('sha384', 'composer-setup.php');")"

if [ "$EXPECTED_SIGNATURE" != "$ACTUAL_SIGNATURE" ]
then
>&2 echo 'ERROR: Invalid installer signature'
sudo rm composer-setup.php
exit 1
fi

sudo php composer-setup.php --quiet
RESULT=$?
sudo rm -rf composer-setup.php

sudo mv composer.phar /usr/local/bin/composer

exit $RESULT
mode: '000777'
owner: root
group: root
commands:
installComposer:
command: ./composer.sh
cwd: /var/composer/









share|improve this question



























    0















    The following snippet is from a CloudFormation template and is part of a configSet.



    I attempt to create a bash script and save it to /var/composer using files:
    This part works just fine.



    The script then attempts to execute the bash script using "commands:"
    This doesn't work. - Any ideas please?



    deployComposer:
    files:
    /var/composer/composer.sh:
    content: !Join
    - ''
    - -
    #!/bin/sh

    EXPECTED_SIGNATURE="$(wget -q -O -
    https://composer.github.io/installer.sig)"
    sudo php -r "copy('https://getcomposer.org/installer',
    'composer-setup.php');"
    ACTUAL_SIGNATURE="$(php -r "echo hash_file('sha384', 'composer-setup.php');")"

    if [ "$EXPECTED_SIGNATURE" != "$ACTUAL_SIGNATURE" ]
    then
    >&2 echo 'ERROR: Invalid installer signature'
    sudo rm composer-setup.php
    exit 1
    fi

    sudo php composer-setup.php --quiet
    RESULT=$?
    sudo rm -rf composer-setup.php

    sudo mv composer.phar /usr/local/bin/composer

    exit $RESULT
    mode: '000777'
    owner: root
    group: root
    commands:
    installComposer:
    command: ./composer.sh
    cwd: /var/composer/









    share|improve this question

























      0












      0








      0








      The following snippet is from a CloudFormation template and is part of a configSet.



      I attempt to create a bash script and save it to /var/composer using files:
      This part works just fine.



      The script then attempts to execute the bash script using "commands:"
      This doesn't work. - Any ideas please?



      deployComposer:
      files:
      /var/composer/composer.sh:
      content: !Join
      - ''
      - -
      #!/bin/sh

      EXPECTED_SIGNATURE="$(wget -q -O -
      https://composer.github.io/installer.sig)"
      sudo php -r "copy('https://getcomposer.org/installer',
      'composer-setup.php');"
      ACTUAL_SIGNATURE="$(php -r "echo hash_file('sha384', 'composer-setup.php');")"

      if [ "$EXPECTED_SIGNATURE" != "$ACTUAL_SIGNATURE" ]
      then
      >&2 echo 'ERROR: Invalid installer signature'
      sudo rm composer-setup.php
      exit 1
      fi

      sudo php composer-setup.php --quiet
      RESULT=$?
      sudo rm -rf composer-setup.php

      sudo mv composer.phar /usr/local/bin/composer

      exit $RESULT
      mode: '000777'
      owner: root
      group: root
      commands:
      installComposer:
      command: ./composer.sh
      cwd: /var/composer/









      share|improve this question














      The following snippet is from a CloudFormation template and is part of a configSet.



      I attempt to create a bash script and save it to /var/composer using files:
      This part works just fine.



      The script then attempts to execute the bash script using "commands:"
      This doesn't work. - Any ideas please?



      deployComposer:
      files:
      /var/composer/composer.sh:
      content: !Join
      - ''
      - -
      #!/bin/sh

      EXPECTED_SIGNATURE="$(wget -q -O -
      https://composer.github.io/installer.sig)"
      sudo php -r "copy('https://getcomposer.org/installer',
      'composer-setup.php');"
      ACTUAL_SIGNATURE="$(php -r "echo hash_file('sha384', 'composer-setup.php');")"

      if [ "$EXPECTED_SIGNATURE" != "$ACTUAL_SIGNATURE" ]
      then
      >&2 echo 'ERROR: Invalid installer signature'
      sudo rm composer-setup.php
      exit 1
      fi

      sudo php composer-setup.php --quiet
      RESULT=$?
      sudo rm -rf composer-setup.php

      sudo mv composer.phar /usr/local/bin/composer

      exit $RESULT
      mode: '000777'
      owner: root
      group: root
      commands:
      installComposer:
      command: ./composer.sh
      cwd: /var/composer/






      amazon-web-services amazon-cloudformation






      share|improve this question













      share|improve this question











      share|improve this question




      share|improve this question










      asked Nov 22 '18 at 14:00









      SaschaSascha

      8918




      8918
























          0






          active

          oldest

          votes











          Your Answer






          StackExchange.ifUsing("editor", function () {
          StackExchange.using("externalEditor", function () {
          StackExchange.using("snippets", function () {
          StackExchange.snippets.init();
          });
          });
          }, "code-snippets");

          StackExchange.ready(function() {
          var channelOptions = {
          tags: "".split(" "),
          id: "1"
          };
          initTagRenderer("".split(" "), "".split(" "), channelOptions);

          StackExchange.using("externalEditor", function() {
          // Have to fire editor after snippets, if snippets enabled
          if (StackExchange.settings.snippets.snippetsEnabled) {
          StackExchange.using("snippets", function() {
          createEditor();
          });
          }
          else {
          createEditor();
          }
          });

          function createEditor() {
          StackExchange.prepareEditor({
          heartbeatType: 'answer',
          autoActivateHeartbeat: false,
          convertImagesToLinks: true,
          noModals: true,
          showLowRepImageUploadWarning: true,
          reputationToPostImages: 10,
          bindNavPrevention: true,
          postfix: "",
          imageUploader: {
          brandingHtml: "Powered by u003ca class="icon-imgur-white" href="https://imgur.com/"u003eu003c/au003e",
          contentPolicyHtml: "User contributions licensed under u003ca href="https://creativecommons.org/licenses/by-sa/3.0/"u003ecc by-sa 3.0 with attribution requiredu003c/au003e u003ca href="https://stackoverflow.com/legal/content-policy"u003e(content policy)u003c/au003e",
          allowUrls: true
          },
          onDemand: true,
          discardSelector: ".discard-answer"
          ,immediatelyShowMarkdownHelp:true
          });


          }
          });














          draft saved

          draft discarded


















          StackExchange.ready(
          function () {
          StackExchange.openid.initPostLogin('.new-post-login', 'https%3a%2f%2fstackoverflow.com%2fquestions%2f53432627%2fcloudformation-how-to-run-a-bash-script-using-metadata%23new-answer', 'question_page');
          }
          );

          Post as a guest















          Required, but never shown

























          0






          active

          oldest

          votes








          0






          active

          oldest

          votes









          active

          oldest

          votes






          active

          oldest

          votes
















          draft saved

          draft discarded




















































          Thanks for contributing an answer to Stack Overflow!


          • Please be sure to answer the question. Provide details and share your research!

          But avoid



          • Asking for help, clarification, or responding to other answers.

          • Making statements based on opinion; back them up with references or personal experience.


          To learn more, see our tips on writing great answers.




          draft saved


          draft discarded














          StackExchange.ready(
          function () {
          StackExchange.openid.initPostLogin('.new-post-login', 'https%3a%2f%2fstackoverflow.com%2fquestions%2f53432627%2fcloudformation-how-to-run-a-bash-script-using-metadata%23new-answer', 'question_page');
          }
          );

          Post as a guest















          Required, but never shown





















































          Required, but never shown














          Required, but never shown












          Required, but never shown







          Required, but never shown

































          Required, but never shown














          Required, but never shown












          Required, but never shown







          Required, but never shown







          Popular posts from this blog

          To store a contact into the json file from server.js file using a class in NodeJS

          Redirect URL with Chrome Remote Debugging Android Devices

          Dieringhausen